指定除角度之外的所有尺寸类型的备用尺寸度量的后缀。 支持的平台:仅窗口 属性值只读:不 类型:字符串 备用维度的后缀。 言论此属性的初始值为 “”。 若要关闭已建立的后缀,请将此属性设置为等于单个句点 (.)。 注意:此属性将覆盖给定维度的 DIMAPOST 系统变量的值。
例子工 务 局: Sub Example_AltTextSuffix() ' This example creates an aligned dimension in model space and ' uses AltTextSuffix to allow the user to change the text suffix for the ' alternate dimension Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double Dim suffix As String ' Define the dimension point1(0) = 0: point1(1) = 5: point1(2) = 0 point2(0) = 5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ' Enable alternate unit display dimObj.AltUnits = True ThisDrawing.Application.ZoomAll ' Allow the user to change the text suffix for the alternate dimension suffix = InputBox("Enter a new text suffix for the alternate dimension", "Alternate Dimension Suffix", ":SUFFIX") dimObj.AltTextSuffix = suffix ' Commit changes to suffix ThisDrawing.Regen acAllViewports ' Read back and display the alternate dimension text suffix suffix = dimObj.AltTextSuffix If suffix <> "" Then MsgBox "The suffix of the alternate dimension has been changed to: " & suffix Else MsgBox "The suffix of the alternate dimension has been removed" End If End Sub Visual LISP: (vl-load-com) (defun c:Example_AltTextSuffix() ;; This example creates an aligned dimension in model space and ;; uses AltTextSuffix to allow the user to change the text suffix for the ;; alternate dimension (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 0 5 0) point2 (vlax-3d-point 5 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) ;; Enable alternate unit display (vla-put-AltUnits dimObj :vlax-true) (vla-ZoomAll acadObj) ;; Allow the user to change the text suffix for the alternate dimension (setq suffix (vla-GetString (vla-get-Utility doc) :vlax-false "\nEnter a new text suffix for the alternate dimension: ")) (vla-put-AltTextSuffix dimObj suffix) ;; Commit changes to suffix (vla-Regen doc acAllViewports) ;; Read back and display the alternate dimension text suffix (setq suffix (vla-get-AltTextSuffix dimObj)) (if (/= suffix "") (alert (strcat "The suffix of the alternate dimension has been changed to: " suffix)) (alert "The suffix of the alternate dimension has been removed") ) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:26
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.